#ifndef __FOURIER_H_SM__
#define __FOURIER_H_SM__

#include "types.h"

/* slow */

extern void dft (frame s, spectrum S);

/* fast */

extern void fft_init (void);
extern void fft_exit (void);

extern void fft (frame s, spectrum S);

extern void ifft (spectrum S, frame s);

/* misc */

extern void amp_normalize (frame amp, real sum);

#endif /* !__FOURIER_H_SM__ */

/* End Of File */
