#ifndef __FILE_H_SM__
#define __FILE_H_SM__

#include <stdio.h>
#include "types.h"

/* input */

extern FILE *sound_file_open_read (char *sound_file_name);
extern void sound_file_close_read (FILE *fp);

extern int sound_file_read (FILE *fp, frame s);

/* output */

extern FILE *sound_file_open_write (void);
extern void sound_file_close_write (FILE *fp);

extern void sound_file_write (frame s, FILE *fp);

#endif /* !__FILE_H_SM__ */

/* End Of File */
