#include <stdio.h>
#include <stdlib.h>
#include <assert.h>
#include "plot.h"

void
plot_init (void)
{
}

void
plot_exit (void)
{
}

void
plot_temporal (frame s)
{
  FILE *fp;

  int i;

  assert (s);

  fp = fopen ("temporal.txt", "w");
  assert (fp);

  for (i=0; i<N; i++)
    {
      fprintf (fp, "%f %f\n", i / SAMPLING_RATE, s[i]);
    }

  fclose (fp);

  system ("gnuplot < temporal.gp");
}

void
plot_spectral (real amp[N])
{
  FILE *fp;

  int i;

  assert (amp);

  fp = fopen ("spectral.txt", "w");
  assert (fp);

  for (i=0; i<=(N/2); i++)
    {
      fprintf (fp, "%f %f\n", i * SAMPLING_RATE / N, amp[i]);
    }

  fclose (fp);

  system ("gnuplot < spectral.gp");
}

/* End Of File */
